/*******************************************************************************
 * Copyright 2012 The MITRE Corporation
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.mitre.openid.connect.model;

import java.util.Date;

import javax.persistence.Basic;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Temporal;

/**
 * Class to contain a logged event in the system.
 * 
 * @author jricher
 *
 */

@Entity
@Table(name="event")
public class Event {

	public static enum EventType { LOGIN, AUTHORIZATION, ACCESS }
	
	private Long id;
	private EventType type;
	private Date timestamp;

	/**
     * @return the id
     */
	@Id
	@GeneratedValue(strategy=GenerationType.IDENTITY)
    public Long getId() {
    	return id;
    }
	/**
     * @param id the id to set
     */
    public void setId(Long id) {
    	this.id = id;
    }
	/**
     * @return the type
     */
    public EventType getType() {
    	return type;
    }
	/**
     * @param type the type to set
     */
    public void setType(EventType type) {
    	this.type = type;
    }
	/**
     * @return the timestamp
     */
    @Basic
    @Temporal(javax.persistence.TemporalType.TIMESTAMP)
    public Date getTimestamp() {
    	return timestamp;
    }
	/**
     * @param timestamp the timestamp to set
     */
    public void setTimestamp(Date timestamp) {
    	this.timestamp = timestamp;
    }
	
}
