/**
 * 
 */
package org.mitre.openid.connect.view;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.http.HttpStatus;
import org.springframework.stereotype.Component;
import org.springframework.web.servlet.view.AbstractView;

/**
 * An empty view that simply returns an HTTP code set in the model
 * @author jricher
 *
 */
@Component("httpCodeView")
public class HttpCodeView extends AbstractView {

	@Override
	protected void renderMergedOutputModel(Map<String, Object> model, HttpServletRequest request, HttpServletResponse response) {
		HttpStatus code = (HttpStatus) model.get("code");
		if (code == null) {
			code = HttpStatus.OK; // default to 200
		}
		
		response.setStatus(code.value());
		
	}

}
